Create Test Run
POSThttps://api.confident-ai.com/v1/test-runs
Creates a new in-progress test run and returns its id. Use this id as the testRunId when ingesting traces (POST /v1/traces) so that each trace becomes one test case in this run.
curl -X POST "https://api.confident-ai.com/v1/test-runs" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>" \
-H "Content-Type: application/json" \
-d '{
"identifier": "my-test-run",
"metricCollection": "Agent Quality"
}'{
"success": true,
"data": {
"id": "<TEST-RUN-ID>"
},
"link": "https://app.confident-ai.com/project/<PROJECT-ID>/test-runs/<TEST-RUN-ID>",
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Request body
metricCollectionstringThis is the metric collection used to evaluate the test cases formed from traces ingested into this test run.
identifierstringThis is an optional human-readable identifier for the test run, shown on the Confident AI platform.
Response
The created test run id.
successbooleanA boolean indicating the success or failure of the API call
dataobjectThis maps to the test run id.
Show 1 propertyHide 1 property
idstringThis is the unique identifier of the created test run. Pass it as
testRunIdwhen ingesting traces.
linkstringThis is the URL to the test run on the Confident AI platform.
deprecatedbooleanThis is true if this endpoint is deprecated.